# -*- coding: utf-8 -*-


%if c.scope == 'config.title' :
 ${_("mOTP Token Settings")}
%endif


%if c.scope == 'config' :
%endif


%if c.scope == 'enroll.title' :
${_("mOTP - mobile otp")}
%endif

%if c.scope == 'enroll' :
<script>

/*
 * 'typ'_get_enroll_params()
 *
 * this method is called, when the token  is submitted
 * - it will return a hash of parameters for admin/init call
 *
 */

function motp_get_enroll_params(){
    var url = {};
    url['type'] = 'motp';
   	url['description'] = $('#enroll_motp_desc').val();

    // If we have got to generate the hmac key, we do it here:
    if  ( $('#motp_key_cb').attr('checked') ) {
    	url['genkey'] = 1;

    } else {
        // OTP Key
        url['otpkey'] 	= $('#motp_initsecret').val();
    }   	
   	
	url['otppin']	= $('#motp_pin1').val();
    jQuery.extend(url, add_user_data());

    return url;
}
</script>

<p><span id="motp_key_intro">
	${_("Please enter or copy the init-secret, that was generated by your app.")}
</span>
</p>
<table><tr>
<td><label for="motp_initsecret" id='motp_initsecret_label'>${_("Init secret")}</label></td>
<td><input type="text" name="motp_initsecret" id="motp_initsecret"
	title='${_("Please enter or copy the init-secret, that was generated by your app.")}' 
	value="" class="text ui-widget-content ui-corner-all" /></td>
</tr><tr>
	<td> </td><td><input type='checkbox' id='motp_key_cb' onclick="cb_changed('motp_key_cb',['motp_initsecret','motp_initsecret_label','motp_key_intro']);">
	<label for=hmac_key_cb>${_("Generate MOTP key.")}</label></td>
</tr>
<tr><td colspan="2">${_("Also enter the PIN you are using on your phone.")}</td></tr>
<tr>
<td><label for="motp_pin1">mOTP PIN</label></td>
<td><input onkeyup="checkpins('motp_pin1','motp_pin2');" autocomplete="off"
     title='${_("Also enter the PIN you are using on your phone.")}' 
     type="password" name="motp_pin1" id="motp_pin1" value="" class="text ui-widget-content ui-corner-all" /></td>
</tr><tr>
<td><label for="motp_pin2">${_("(again)")}</label></td>
<td><input onkeyup="checkpins('motp_pin1','motp_pin2');" autocomplete="off" type="password" name="motp_pin2" id="motp_pin2" value="" class="text ui-widget-content ui-corner-all" /></td>
</tr>
<tr>
    <td><label for="enroll_motp_desc" id='enroll_motp_desc_label'>${_("Description")}</label></td>
    <td><input type="text" name="enroll_motp_desc" id="enroll_motp_desc" value="webGUI_generated" class="text" /></td>
</tr>
</table>

% endif




%if c.scope == 'selfservice.title.enroll':
${_("Register mOTP")}
%endif

%if c.scope == 'selfservice.title.provision':
${_("Webprovisioning mOTP")}
%endif


%if c.scope == 'selfservice.enroll':
<script>
	jQuery.extend(jQuery.validator.messages, {
		required:  "${_('required input field')}",
		minlength: "${_('minimum length must be greater than {0}')}",
		maxlength: "${_('maximum length must be lower than {0}')}",
		range: '${_("Please enter a valid init secret. It may only contain numbers and the letters A-F.")}',
	});

	jQuery.validator.addMethod("motp_secret", function(value, element, param){
		if ( $('#motp_key_cb').attr('checked') ) {
			return true
		} else {
			if (value.length < 16) {
				return false
			}
        	return value.match(/^[a-fA-F0-9]+$/i);
		}
    }, '${_("Please enter a valid init secret. It may only contain numbers and the letters A-F.")}' );

	$('#form_registermotp').validate({
        rules: {
            motp_secret: {
                minlength: 16,
                maxlength: 32,
                number: false,
                motp_secret: true
            }
        }
	});

function self_motp_get_param()
{
	var urlparam = {};

	urlparam['type'] 		= 'motp';
	urlparam['description'] = $("#motp_self_desc").val();  
    urlparam['otpkey'] 	= $('#motp_secret').val();
	urlparam['otppin']		= $('#motp_s_pin1').val();

	return urlparam;
}
function self_motp_clear()
{
	$('#motp_s_pin1').val('');
	$('#motp_secret').val('');
	$('#motp_s_pin2').val('');
}
function self_motp_submit(){

	var ret = false;
	if ($('#form_registermotp').valid()) {
		var params =  self_motp_get_param();
		enroll_token( params );
		self_motp_clear();
		ret = true;
	} else {
		alert('${_("Form data not valid.")}');
	}
	return ret;

}
</script>

<h1>${_("Register your mOTP Token")}</h1>
<div id='registermotpform'>
	<form class="cmxform" id='form_registermotp'>
	<fieldset>
		<table>
		<tr>
		<td><label for='secret' id='motp_secret_label'>${_("Init Secret of motp-Token")}</label></td>
		<td><input id='motp_secret' name='secret' class="ui-widget-content ui-corner-all"
			pattern="[a-fA-F0-9]{0,16,32}"
			maxlength="32" />
		</td>
		</tr>
        <tr>
        <td><label for='motp_s_pin1'>${_("mOTP PIN")}</label></td>
        <td><input autocomplete="off" type="password" onkeyup="checkpins('motp_s_pin1', 'motp_s_pin2');" id="motp_s_pin1" class="required text ui-widget-content ui-corner-all" /></td>
        </tr>
        <tr>
        <td><label for='motp_s_pin2'>${_("mOTP PIN (again)")}</label></td>
        <td><input autocomplete="off" type="password" onkeyup="checkpins('motp_s_pin1', 'motp_s_pin2');" id="motp_s_pin2" class="required text ui-widget-content ui-corner-all" /></td>
        </tr>
		<tr>
	    <td><label for="motp_self_desc" id='motp_self_desc_label'>${_("Description")}</label></td>
	    <td><input type="text" name="motp_self_desc" id="motp_self_desc" value="self enrolled" class="text" /></td>
		</tr>
        </table>
        <button class='action-button' id='button_register_motp'
        		onclick="self_motp_submit();">${_("register mOTP Token")}</button>
    </fieldset>
    </form>
</div>


% endif


%if c.scope == 'selfservice.provision':
<script>

function self_motp_provision_get_param()
{
	var urlparam = {};

	urlparam['type'] 		= 'motp';
	urlparam['description'] = $("#motpP_self_desc").val();  
   	urlparam['genkey'] = 1;
	urlparam['otppin']		= $('#motpP_s_pin1').val();

	return urlparam;
}
function self_motp_provision_clear()
{
	$('#motpP_s_pin1').val('');
	$('#motpP_s_pin2').val('');
}
function self_motp_provision_submit(){

	var ret = false;
	if ($('#form_provisionmotp').valid()) {
		var params =  self_motp_provision_get_param();
		enroll_token( params );
		self_motp_provision_clear();
		ret = true;
	} else {
		alert('${_("Form data not valid.")}');
	}
	return ret;

}
</script>

<h1>${_("Webprovisioning your mOTP Token")}</h1>
<div id='provisionmotpform'>
	<form class="cmxform" id='form_provisionmotp'>
	<fieldset>
		<table>
		<tr> <td colspan=2>
		${_("Your mOTP secret will be created by the server.")}
		</td>
		</tr>
        <tr>
        <td><label for='motpP_s_pin1'>${_("mOTP PIN")}</label></td>
        <td><input autocomplete="off" type="password" 
        	onkeyup="checkpins('motpP_s_pin1', 'motpP_s_pin2');" 
        	id="motpP_s_pin1" 
        	class="required text ui-widget-content ui-corner-all" /></td>
        </tr>
        <tr>
        <td><label for='motpP_s_pin2'>${_("mOTP PIN (again)")}</label></td>
        <td><input autocomplete="off" type="password"
        	onkeyup="checkpins('motpP_s_pin1', 'motpP_s_pin2');"
        	id="motpP_s_pin2"
        	class="required text ui-widget-content ui-corner-all" /></td>
        </tr>
		<tr>
	    <td><label for="motpP_self_desc"
	    	id='motpP_self_desc_label'>${_("Description")}</label></td>
	    <td><input type="text"
	    	name="motpP_self_desc"
	    	id="motpP_self_desc"
	    	value="self enrolled" class="text" /></td>
		</tr>
        </table>
        <button class='action-button'
        		id='button_provision_motp'
        		onclick="self_motp_provision_submit();">${_("provision mOTP Token")}</button>
    </fieldset>
    </form>
</div>


% endif
